MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025000Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-06-10 17:072014-11-11 12:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025000: Missing implementation of method NCollection_SparseArrayBase::changeValue()
DescriptionMethod NCollection_SparseArrayBase::changeValue() is declared but not implemented; because of that attempt to use method NCollection_SparseArray::ChangeValue() leads to linker error
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0029766)
abv (manager)
2014-06-11 11:06

As a complement, STL-compatible iterators can be added to SparseArray class along with fix for that problem.
(0032219)
abv (manager)
2014-09-26 12:37

Method changeValue() as it was declared (adding new item if not present) is not necessary -- it would require empty constructor of the item, which is not required now. It would also contradict with same method in DataMap. Thus the solution is to remove this method and redirect ChangeFind() to ChangeValue()
(0032221)
git (administrator)
2014-09-26 13:11

Branch CR25000 has been created by abv.

SHA-1: a8dd8e9e2f26aee04a15e099326c1904c59eac2d


No new revisions were added by this update.
(0032408)
git (administrator)
2014-09-30 11:35

Branch CR25000 has been deleted by inv.

SHA-1: a8dd8e9e2f26aee04a15e099326c1904c59eac2d

- Related Changesets
occt: master 8e8070c4
Timestamp: 2014-09-26 08:45:41
Author: abv
Committer: bugmaster
Details ] Diff ]
0025000: Missing implementation of method NCollection_SparseArrayBase::changeValue()

Method changeValue() removed from NCollection_SparseArrayBase, ChangeValue() of NCollection_SparseArray is used instead
mod - src/NCollection/NCollection_SparseArray.hxx Diff ] File ]
mod - src/NCollection/NCollection_SparseArrayBase.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-10 17:07 abv New Issue
2014-06-10 17:07 abv Assigned To => abv
2014-06-11 11:06 abv Note Added: 0029766
2014-09-26 12:37 abv Note Added: 0032219
2014-09-26 13:11 git Note Added: 0032221
2014-09-29 15:31 bugmaster Changeset attached => occt master 8e8070c4
2014-09-29 15:31 bugmaster Assigned To abv => bugmaster
2014-09-29 15:31 bugmaster Status new => verified
2014-09-29 15:31 bugmaster Resolution open => fixed
2014-09-30 11:35 git Note Added: 0032408
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker